Subject: Re: bug#15392: xorg-server FTBFS

From: [email-masked] (Ludovic Courtès)
Date: Wed, 25 Sep 2013 15:11:44 +0200

Andreas Enge <[email-masked]> skribis:

> On Mon, Sep 23, 2013 at 09:39:12PM +0200, Ludovic Courtès wrote:
>> Could you try ‘strace -f’ so we see what goes on in the child?
>
> Thanks to joint work with Ludovic, the problem should be solved. Currently, 
> hydra.gnu.org does not pick up the git repository, but at least, locally
> xorg-server compiles and passes all its tests.

For the record, it was another /bin/sh issue, fixed by 2365338.

Closing the bug now.  :-)

> There is one question I still have concerning a path set by a configure flag,
> which I started out by setting arbitrarily:
>    (string-append "--with-xkb-output="
>                   "/tmp") ; FIXME: This is a bit doubtful; where should
>                           ; the compiled keyboard maps go?
>
> Do you have any knowledge or opinion on what we should do here?
> I suppose that we need a path to which the xserver can write at runtime,
> so it should be outside the store.

Looking at configure.ac, this is used to #define XKM_OUTPUT_DIR, which
ddxLoad.c describes like this:

--8<---------------cut here---------------start------------->8---
        /*
         * If XKM_OUTPUT_DIR specifies a path without a leading slash, it is
         * relative to the top-level XKB configuration directory.
         * Making the server write to a subdirectory of that directory
         * requires some work in the general case (install procedure
         * has to create links to /var or somesuch on many machines),
         * so we just compile into /usr/tmp for now.
         */
#ifndef XKM_OUTPUT_DIR
#define	XKM_OUTPUT_DIR	"compiled/"
#endif
--8<---------------cut here---------------end--------------->8---

I interpret it as /tmp being a good value.

At the same time, I wonder if the X server normally calls xkbcomp at
run time.

Thanks,
Ludo’.